# @idrinth-api-bench/framework

[![Coverage Status](https://coveralls.io/repos/github/idrinth-api-bench/framework/badge.svg?branch=the-one)](https://coveralls.io/github/idrinth-api-bench/framework?branch=the-one)

## Contents

- [What does this project do?](#what-does-this-project-do)
  - [Code Generation](#code-generation)
- [Usage \& Examples](#usage--examples)
- [CI Images](#ci-images)
- [Licence](#licence)
- [Socials](#socials)
- [Support](#support)
- [Privacy and Compliance](#privacy-and-compliance)

## What does this project do?

This project provides a framework for testing restful APIs and websites for
changes in response times. This helps to detect performance changes in code
in a quick and simple manner.

### Code Generation

Code generation has been extracted into `@idrinth-api-bench/cli`, it can be
run on its own.

## Usage & Examples

Please have a look at the [website](https://idrinth-api-ben.ch) for more
information. Examples are in their own
[repository](https://github.com/idrinth-api-bench/examples)

## CI Images

We have ready to be used CI Images:

- [Gitlab Runner](https://hub.docker.com/r/idrinth/api-bench-gitlab-runner)
- [Gitea Action](https://hub.docker.com/r/idrinth/api-bench-gitea-action)
- [Pure Alpine](https://hub.docker.com/r/idrinth/api-bench)

## Licence

This project is MIT-licenced.

## Socials

Additionally, to support requests via GitHub issue, you can reach us via

[![LinkedIn URL](https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/groups/9588634/)
[![Slack URL](https://img.shields.io/badge/Slack-4A154B?style=for-the-badge&logo=slack&logoColor=white)](https://idrinth-api-bench.slack.com/join/shared_invite/zt-2f4zmw2sz-c3etHzCFq3LtZpkR15xXMA#/shared-invite/email)

## Support

Commercial support and training is provided via
[Björn Büttner](https://bjoern-buettner.me).

## Privacy and Compliance

The `@idrinth-api-bench` framework does not collect any kind of information
about its users or the APIs being tested. All data is local to the device
you run it on or the database server you configure it to dump data in.
