import language from '../helper/language.js';
import Counter from '../helper/counter.js';
const startResults = (logger, calculator, finished, reportModifiers, resultHandler, resultOutputDir) => {
    if (!Counter.isEmpty('active') || !Counter.isEmpty('analyzing')) {
        return;
    }
    calculator.terminate();
    logger.info(language('starting_result'));
    logger.debug(language('data'), finished);
    for (const reportModifier of reportModifiers) {
        for (const set of Object.keys(finished)) {
            finished[set] = reportModifier.adjust(finished[set]);
        }
    }
    resultHandler(finished, resultOutputDir);
    logger.info(language('done'));
};
const onCalculate = (data, finished, now, resultStorage, logger, progress, calculator, reportModifiers, reporter, resultOutputDir) => {
    finished[data.id] = data;
    resultStorage.store(data, now);
    logger.debug(language('finished_analyzing', data.id));
    Counter.decrement('analyzing');
    progress.increment();
    startResults(logger, calculator, finished, reportModifiers, reporter, resultOutputDir);
};
export default onCalculate;
