const ToMicro = 1000000000;
export class Result {
    id;
    validators;
    maxDuration;
    duration;
    response;
    // eslint-disable-next-line max-params
    constructor(id, uri, start, end, response, validators, maxDuration) {
        this.id = id;
        this.validators = validators;
        this.maxDuration = maxDuration;
        this.duration = (end.shift() - start.shift()) * ToMicro;
        this.duration += end.pop() - start.pop();
        this.response = {
            body: response.raw.toString(),
            uri,
            headers: {},
            cookies: response.cookies || {},
            status: response.statusCode,
        };
        for (const header in response.headers) {
            if (typeof response.headers[header] === 'string') {
                this.response.headers[header] = response.headers[header];
            }
        }
    }
}
export default Result;
