import store from '../store/store.js';
export const prepare = (request) => {
    const csrf = store.get('csrf', '');
    if (csrf) {
        if (typeof request.headers === 'undefined') {
            request.headers = {};
        }
        if (!request.headers['x-csrf-token']) {
            request.headers['x-csrf-token'] = csrf;
        }
    }
    return request;
};
export const process = (response) => {
    if (typeof response.response.headers === 'undefined') {
        return;
    }
    if (response.response.headers['x-csrf-token']) {
        store.set('csrf', response.response.headers['x-csrf-token']);
    }
};
