import formUrlEncoded from 'form-urlencoded';
const handleForm = (request) => {
    if (!request.headers['content-type']) {
        request.headers['content-type'] = 'application/x-www-form-urlencoded';
    }
    request.body = formUrlEncoded(request.body);
    return request;
};
const handleJSON = (request) => {
    request.body = JSON.stringify(request.body);
    if (!request.headers['content-type']) {
        request.headers['content-type'] = 'application/json';
    }
    return request;
};
export const prepare = (request) => {
    if (typeof request.headers === 'undefined') {
        request.headers = {};
    }
    if (request.autohandle === 'json') {
        return handleJSON(request);
    }
    if (request.autohandle === 'form' && typeof request.body === 'object') {
        return handleForm(request);
    }
    return request;
};
