import language from '../helper/language.js';
export const process = (result) => {
    let response;
    try {
        response = JSON.parse(result.response.body);
    }
    catch (e) {
        throw Error(language('invalid_json_body', `${e}`));
    }
    if (response.status === 'fail' || response.status === 'error') {
        throw new Error(language('response_not_success', 'status', `${response.status}`));
    }
    if (response.success === false) {
        throw new Error(language('response_not_success', 'success', `${response.success}`));
    }
};
