import { readdirSync, existsSync, } from 'fs';
import { snakeCase, } from 'change-case';
import include from './include-default.js';
import taskTypes from './task-types.js';
export default async (root) => {
    const job = {
        before: [],
        beforeTask: [],
        beforeEach: [],
        main: [],
        afterEach: [],
        afterTask: [],
        after: [],
    };
    for (const type of taskTypes) {
        const dir = root + '/src/routes/' + snakeCase(type);
        if (existsSync(dir)) {
            for (const file of readdirSync(dir)) {
                if (file.match(/\.c?js|\.json/u)) {
                    // eslint-disable-next-line no-await-in-loop
                    job[type].push((await include(dir + '/' + file)));
                }
            }
        }
    }
    return job;
};
